%LEADINGZERO
% Function to return an N character string consisting of the integer part 
% of argument X with leading zeros as necessary
%
% Simon Gardner August 2000.
%
% Syntax:  outstring=leadingzero(integer array of indices (X) ,N)

function outstring = leadingzero(X,N)

outstring = [strrep(blanks(N-1 - fix(log10(X))),...
    ' ','0'),num2str(X,3)];

%End of code